<template>
  <lazy-theme-mobile-modern-register v-if="theme === 'mobile/modern'" />
  <lazy-theme-mobile-china-register v-else-if="theme === 'mobile/china'" />
  <lazy-theme-mobile-main-register v-else-if="theme === 'mobile/black'" />
  <lazy-theme-mobile-main-register v-else-if="theme === 'mobile/sbo'" />
  <lazy-theme-mobile-main-register v-else-if="theme === 'mobile/main'" />
  <lazy-theme-mobile-main-register v-else-if="theme === 'mobile/playful'" />
  <lazy-theme-mobile-main-register v-else-if="theme === 'mobile/global'" />
  <!-- <lazy-theme-desktop-modern-register v-else-if="theme === 'desktop/modern'" /> -->
  <lazy-theme-desktop-china-register v-else-if="theme === 'desktop/china'" />
  <lazy-theme-desktop-peru-register v-else-if="theme.includes('/peru')" />
  <theme-common-register v-else />
</template>
<script lang="ts" setup>
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
</script>
